# enable_gtkdoc: Toggle whether gtkdoc stuff should be rebuilt
#      0 = No
#      1 = Yes
%define enable_gtkdoc	1


# Version of libraries required
%define req_glib_version       2.2.0
%define req_freetype2_version  2.1.3-4mdk
%define req_fontconfig_version  2.1-4mdk

%define api_version	1.0
%define module_version	1.2.0
%define lib_major	0
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define major_version	1
%define minor_version	2
%define micro_version	5

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	%{major_version}.%{minor_version}.%{micro_version}
Release:	3mdk.Firefly
License:	LGPL
Group:		System/Internationalization
URL:		http://www.pango.org/
BuildRequires: libglib2-devel >= %{req_glib_version} 
BuildRequires: freetype2-devel >= %{req_freetype2_version}
BuildRequires: libXft2-devel >= 2.0
BuildRequires: pkgconfig >= 0.8
BuildRequires: fontconfig-devel >= %{req_fontconfig_version}
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.10
BuildRequires: libxslt-proc docbook-style-xsl
%endif
Source0:	ftp://ftp.gtk.org/pub/gtk/v%{major_version}.%{minor_version}/%{name}-%{version}.tar.bz2
# (fc) 1.2.0-3mdk add support for slighthint
Patch2:		pango-1.2.2-slighthint.patch.bz2
# (pablo) 1.2.5-2mdk, fix for Thai shaping
Patch3:		pango-1.2.5-th_fix.patch.bz2
# (fc) 1.2.5-3mdk fix build with latest freetype (CVS)
Patch4:		pango-1.2.5-freetype.patch.bz2
Patch5:		pango-1.2.5-style.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#need this since we launch pango-querymodules in %post
PreReq: %{lib_name} = %{version}-%{release}

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name} 
Summary: %{summary}
Group:   %{group}
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires: %{name} >= %{version}-%{release}
Requires: freetype2 >= %{req_freetype2_version}
Requires: fontconfig >= %{req_fontconfig_version}

%description -n %{lib_name}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}-devel
Summary:  %{summary}
Group: Development/GNOME and GTK+
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libglib2.0-devel >= %{req_glib_version}
Requires:	freetype2-devel >= %{req_freetype2_version}

%description -n %{lib_name}-devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup -q
%patch2 -p1 -b .slighthint
%patch3 -p1 -b .thai
%patch4 -p1 -b .freetype
%patch5 -p1 -b .firefly

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x \
	--enable-static=no \
%if %enable_gtkdoc
	--enable-gtk-doc=yes \
%endif

%make
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
touch $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules

cp -f pango/opentype/README README.opentype

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/pango/%{module_version}/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS TODO* examples/pangorc README.opentype
%doc NEWS ChangeLog
%{_bindir}/pango-querymodules
%dir %{_libdir}/pango
%dir %{_libdir}/pango/%{module_version}
%dir %{_libdir}/pango/%{module_version}/modules
%{_libdir}/pango/%{module_version}/modules/*.so
%dir %{_sysconfdir}/pango
%config(noreplace) %{_sysconfdir}/pango/pango*.aliases
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/pango.modules

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libpango-*.so.*
%{_libdir}/libpangoft2-*.so.*
%{_libdir}/libpangox-*.so.*
%{_libdir}/libpangoxft-*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/pango
%{_libdir}/libpango-*.so
%{_libdir}/libpangox-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Tue Dec 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-3mdk
- Patch4 (CVS): fix build with latest freetype

* Wed Sep 03 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.5-2mdk
- fix for Thai shaping

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-1mdk
- Release 1.2.5
- Remove patch3 (merged upstream)

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4
- Remove patches 0 & 1 (obsoletes)
- Patch3 (CVS): Add mprefixups.[ch] to xft_sources as well as ft2_sources

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-2mdk
- rebuild

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.3-1mdk
- Release 1.2.3

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-1mdk
- Release 1.2.2
- Update patch 2

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.1-2mdk
- mklibnamification

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Remove patch3 (merged upstream)

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Patch3 (CVS): synthesize GDEF tables for fonts without them,
  like the Kacst fonts in fonts-arabic

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Patch2 (rawhide): add support for light hinting

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Rebuild against Xft2 from XF 4.2.99

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 
- various fixes from Qun <kelk1@hotmail.com> :
 - Regenerate patch0 
 - Patch1 : build pango-viewer with qt3-3.1.1

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Remove patch1 (no longer needed with freetype 2.1.3)

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3 (Xft2/fontconfig support)
- Disable gtk doc regeneration
- Patch1 (rawhide): add support for FC_HINT_STYLE

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Requires freetype 2.1.2 or better

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Fix dependencies in -devel package (Laurent Culioli)

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- No longer build viewer by default

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Fix dependencies on glib

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Add explicit dependency on freetype 2 >= 2.0.9 (GUADEC Powered)

* Thu Apr  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1 (GUADEC Powered :)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0 (merge work done by Abel Cheung)
- Disable parallel compilation (broken)
- Officially don't support external fribidi library
- Reorganized version / lib major stuff
- Add enable_gtkdoc variable
- Disable building static lib: wrong pangoft2.pc will be generated


* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- Release 0.24

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-1mdk
- Release 0.23
- Remove patch1 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-3mdk
- Fix glib dependencies

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-2mdk
- Clean specfile with help from Abel Cheung <maddog@linux.org.hk> :
 - Patch0: Enable building with external fribidi
 - Patch1: Support of Japanese and traditional Chinese from bugzilla
 - Add a few doc
 - Add enable_viewer variable to toggle building pango-viewer
 - Add external_fribidi variable to toggle between using internal
   or external fribidi library
 - Removed various unnecessary Obsoletes
 - BuildRequires libqt2-devel only if viewer is enabled
 - Added missing %%build

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-2mdk
- Fix obsoletes/provide for pango-devel

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-1mdk
- Release 0.21
- Libification

* Wed Oct 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20-1mdk
- updated version
- updated buildrequires

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-5mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.17-4mdk
- BuildRequires:	libglib1.3_6-devel

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-3mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-1mdk
- updated to 0.17
- added docs to the devel package

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- corrected the config files

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-4mdk
- Rebuild for the newest 1.3.5 glib libraries.
- fixed the problem with the missing /var/lib/pango

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-3mdk
- rm -rf $RPM_BUILD_ROOT at %%install to make sure everytime we install a 
  new and shiny and freshly compiled pango.
- Split out the pango-viewer so we don't have to have Qt installed
  in order to use Pango.

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-2mdk
- Rebuild for the newest 1.3.5 glib libraries.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-1mdk
- Version 0.16 for Gtk+ 1.3.

* Sun Apr 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- fix %%post

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-5mdk
- Change the URL in the Source tag.
- Use of the %%configure macro.

* Wed Jan 17 2001 David BAUDNS <baudens@mandrakesoft.com> 0.9-4mdk
- BuildRequires: libfribidi0-devel
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
